package com.tzld.piaoquan.api.dao.mapper;

import com.tzld.piaoquan.api.model.po.GhDetailExt;
import com.tzld.piaoquan.api.model.po.GhDetailExtExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface GhDetailExtMapper {
    long countByExample(GhDetailExtExample example);

    int deleteByExample(GhDetailExtExample example);

    int deleteByPrimaryKey(Long id);

    int insert(GhDetailExt record);

    int insertSelective(GhDetailExt record);

    List<GhDetailExt> selectByExample(GhDetailExtExample example);

    GhDetailExt selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") GhDetailExt record, @Param("example") GhDetailExtExample example);

    int updateByExample(@Param("record") GhDetailExt record, @Param("example") GhDetailExtExample example);

    int updateByPrimaryKeySelective(GhDetailExt record);

    int updateByPrimaryKey(GhDetailExt record);
}